Subject: Linux on CD

From: Christian Kohlschuetter <[email-masked]>
Date: Mon, 18 Aug 1997 03:51:39 +0200

When will there be a CD containing A5000 and RiscPC Linux?

Perhaps you can include it on some other Linux CDs (Suse etc)
This would perhaps increase the number of interested people.

I am not that linux expert, I can start files, set file
access, delete them, can start irc and that stuff. I just
use it a bit, so I don't know exact details whats now
"Suse" and "RedHat" linux etc...

Be sure, I *will* definitively buy one CD, for my A5000 and
for my StrongARMed RiscPC. I need it as soon as possible
(I think as everybody here :) and it should install without
any problems.
-- 
Christian Kohlschuetter
WombatPD
<[email-masked]>

WombatCD Homepage  => http://www.hof.baynet.de/~wombat/CD/
Private  Homepage  => http://www.hof.baynet.de/~wombat
                      (Under construction)

---

From: Philip Blundell <[email-masked]>
Date: Sat, 16 Aug 1997 15:46:41 -0000

>When will there be a CD containing A5000 and RiscPC Linux?

When the software is ready.

>(I think as everybody here :) and it should install without

You may not think that's a tall order, but...

p.

---

From: [email-masked]
Date: Sat, 16 Aug 1997 17:07:36 +0100 (BST)

> You may not think that's a tall order, but...

Don't forget that the CD Rom drive interface must be supported by Linux.

> Garan wrote:
> At 03:51 18/08/97 +0200, you wrote:
> There is a new Acorn User CD coming out in Dec and there has been talk of
> getting ArmLinux on to it, or RiscBSD or both, but I'm not sure if Steve
> Turnbull has talked to Russ yet or not, certainly it would be nice to have
> it on an acorn user cd as this would be cheap (relatively), so make your
> opinions known to Acorn User!

There may be no point in putting Linux on an Acorn CD.  The problem -
filetypes and Rock Ridge.  Acorn CD ROMs do not have Rock Ridge extensions,
and so some of the RPM files will clash and/or the installer will not be
able to find them.

The other combination - write a CD with rock ridge - you'll loose the
RiscOS file types.  Therefore, it's pretty difficult to have a CD containing
both RiscOS apps and the Linux RedHat install.

There is a solution - port the RPM library and genhdlist to RiscOS (and that's
something I'm not about to do).  If someone wants to the source is on the RedHat
FTP site.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |       Russell King        [email-masked]         --- ---
  | | | | http://whirligig.ecs.soton.ac.uk/~rmk92/home.html  /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: James Craig <[email-masked]>
Date: Sat, 16 Aug 1997 19:09:19 +0100 (BST)

> You may not think that's a tall order, but...
Yep, and what's worse, people like me would like to see the old arc
version on it too. We're talking 3 sets of binaries, root/boot disks etc.
Not a lot of fun.

On a side note, when trying to cross-compile the kernel (2.0.30) on my
6x86 machine, I find that a whole pile of symbols relating to dma
(arch_enable_dma, arch_set_dma_mode, arch_set_dma_addr) seem to be
missing. Only symbols beginning with arch_ are missing - the
corresponding set_dma_mode and so on symbols are OK.I'm
trying to compile for an A3000/ARM3, so I've got machine set
to arc, and processor to armo. Any ideas what's up?
These appear to be the only missing symbols, now I finally patched up the
gcc Makefile sufficiently to produce a correct libgcc1.a
-- James Craig
   <[email-masked]>

---

From: "Neil A. Carson" <[email-masked]>
Date: Sat, 16 Aug 1997 19:17:05 +0100 (BST)

> both RiscOS apps and the Linux RedHat install.

No you won't. We use a version of mkisofs that supports both the Rock Ridge
extensions and CDFS extensions at the same time.

> something I'm not about to do).  If someone wants to the source is on the RedHat

If you ask Mark I'm sure he'll let you have a copy providing due credit is
given to him (as it took him a while to work on).

	Neil

-- 
Neil A. Carson
Marketing Director              Causality Limited (London, UK)
Tel/Fax: +44 (0)181 930 7408    Mobile: +44 (0)370 593183
Email: [email-masked]       WWW: http://www.causality.com.

---

From: Philip Blundell <[email-masked]>
Date: Sat, 16 Aug 1997 20:38:16 -0000

>both RiscOS apps and the Linux RedHat install.

Put the Linux stuff, aside from !Linux itself, inside an iso9660/Rock Ridge 
filesystem image on the CD, and use the loop driver to mount it in the 
installation program.  Or, as Neil said, use a special mkisofs.  I don't think 
it's insurmountable.

A more pressing issue would be to support more CD-ROM drives.  Do we support 
any of the weird Acorn ones at the moment, or is it just vanilla ATAPI and 
SCSI?

"sick" phil

---

From: Ale Terlevich <[email-masked]>
Date: Sun, 17 Aug 1997 16:08:34 +0100 (BST)

> Don't forget that the CD Rom drive interface must be supported by Linux.

  Well, the ATAPI interface works very well indeed thank you :)

Ale.

---

From: [email-masked]
Date: Sun, 17 Aug 1997 15:16:41 +0100 (BST)

> installation program.  Or, as Neil said, use a special mkisofs.  I don't think 

And how does the RedHat installer handle this?  The supplemental disk is
tight enough at the moment. as it stands - I doubt that I can fit much more
into it.  It currently contains the bare minimum with a lot compressed.

> any of the weird Acorn ones at the moment, or is it just vanilla ATAPI and 

Just vanilla ATAPI and SCSI (as and when SCSI cards are supported).  I'm
currently working on the Cumana II - someone at work has one in their RiscPC,
and since their RPC is in work atm (as is this one), it gives a chance at the
end of the day to do some development.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |       Russell King        [email-masked]         --- ---
  | | | | http://whirligig.ecs.soton.ac.uk/~rmk92/home.html  /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Philip Blundell <[email-masked]>
Date: Sun, 17 Aug 1997 21:48:31 -0000

>> installation program.  Or, as Neil said, use a special mkisofs.  I don't thi
>

The loop filesystem would be a special case of installing from CD or hard disk,
 which it already supports.  All it takes is one more `mount' invocation and 
possibly a tiny bit of other magic.  It shouldn't take _any_ more space on the 
supplemental disk.

Like I said, I'm sure it can be done - and this would make it a lot easier for 
RISC OS people to install the thing.

p.

---

From: "Kevin F. Quinn" <[email-masked]>
Date: Mon, 18 Aug 1997 09:23:50 +0000

> Philip Blundell writes:
> > [CD install]
> 
> And how does the RedHat installer handle this? The supplemental disk[...]

For what it's worth, the RedHat installer only takes the boot disk, at least 
when installing from an ATAPI/IDE CDRom.  I just installed RedHat 4.2 on my 
[duck] PC and didn't need the supplemental disk.  You should be able to fit 
at least the ATAPI and SCSI CDRom support on there, I would have thought.

Kev.

---

From: Andy Fawcett <[email-masked]>
Date: Mon, 18 Aug 1997 14:09:09 +0000

In message <[email-masked]>
          [email-masked] wrote:

> Philip Blundell writes:
>> A more pressing issue would be to support more CD-ROM drives.  Do we
>> support  any of the weird Acorn ones at the moment, or is it just
>> vanilla ATAPI and  SCSI?
> 
> Just vanilla ATAPI and SCSI (as and when SCSI cards are supported). 
> I'm currently working on the Cumana II - someone at work has one in
> their RiscPC, and since their RPC is in work atm (as is this one), it
> gives a chance at the end of the day to do some development.

Are there any plans to handle the HCCS micropodule interface?

A long while ago, I remember Andy Armstrong saying that he could provide
some information/code for driver writers, but that was the last I heard.

I'm not about to invest any more money on this A5000, and so I need to
be able to access the CD and SCSI provided by this interface...
-- 
Andy Fawcett                       a.f.p. recipes ([email-masked])
http://www.afawcett.demon.co.uk/       send mail with subject 'send index'
--------------------------------------------------------------------------
He who looks like his passport photo is not well enough to travel.

---

From: Philip Blundell <[email-masked]>
Date: Mon, 18 Aug 1997 22:08:28 -0000

>some information/code for driver writers, but that was the last I heard.

If Andy were to provide this information then I daresay something could be 
arranged.  It depends how weird the hardware is really.

p.

---

From: Andy Fawcett <[email-masked]>
Date: Tue, 19 Aug 1997 09:12:21 +0000

[Sent to vger, Philip, Russell and Andy]

In message <[email-masked]>
          Philip Blundell <[email-masked]> wrote:

[SCSI/CD support for ArmLinux]
>> A long while ago, I remember Andy Armstrong saying that he could
>> provide some information/code for driver writers, but that was the
>> last I heard.
> If Andy were to provide this information then I daresay something
> could be  arranged.  It depends how weird the hardware is really.

I haven't seen anything from Andy on the list in a long while. Hopefully
he'll be able to provide some of the programming details needed.

Cheers,
-- 
Andy Fawcett                       a.f.p. recipes ([email-masked])
http://www.afawcett.demon.co.uk/       send mail with subject 'send index'
--------------------------------------------------------------------------
Extreme good-naturedness borders on weakness of character.  Avoid it.